% Attach to the target PC file system.
f=xpctarget.fs;

% Open the file, read the data, close the file.
h=fopen(f,'c:\step1.dat');
data=fread(f,h);
fclose(f,h);

% Unpack the data.
x=readxpcfile(data);

% Plot 1 second of the data.
figure(1); 
subplot(3,1,1), plot(x.data(:,5),x.data(:,1:2));
set(gca,'XLim',[0.01 1]);  grid on;
xlabel('time [sec]'); ylabel('th [deg]');
subplot(3,1,2), plot(x.data(:,5),x.data(:,3));
set(gca,'XLim',[0.01 1]); grid on;
xlabel('time [sec]'); ylabel('err [deg]');
subplot(3,1,3), plot(x.data(:,5),x.data(:,4));
set(gca,'XLim',[0.01 1]); grid on;
xlabel('time [sec]'); ylabel('U [V]');
